Question New server, help!

Discussion in 'General Help' started by ZaIgre, Jun 24, 2015.

Thread Status:
Not open for further replies.
  1. Offline

    ZaIgre

    Hello everybody!
    I have a bukkit server for me and my friends for as year now. Because a lot of things now have bugs and problems I decided to start new server from the bottom. Now I have 1.7.9, but I would like to upgrade it to 1.8. I cant find how to update it. I actually dont understand what is Spigot, and difference between CraftBukkit and Bukkit?
    And than plugins: I would like to make a server with multiple worlds:
    1. survival
    2. hungar games
    3. survival with shop
    4. fields with shop
    5. creative
    6. etc.
    I dont know how the lobby works, but i would like to have one, where the teleport will be to all of the worlds... Do i need a world just for lobby?
    Probably I will need plugins:
    1. world edit (to easily edit world, esspecially in the making lobby etc.)
    2. essentials (for all the permissions, prefixes, comands, for nicknames etc) do I need essntials core, essentials group manager or what?
    4. multiverse-core (for multiple worlds)
    5. multiverse-portals (for portals between worlds)
    6. plot me (for a world with fields)
    7. better shops (shop-economy)
    8. survival games
    So, do you agree with me, what are the best plugins to work with for my needs? I see a lot of servers are organised like this, and i would like to make the same...do you think this are suitable plugins for me, do you recomand any others?
    Thank you very much!
     
  2. Offline

    oceantheskatr

    Tutorial on how to get Spigot/Craftbukkit 1.8+:
    Spigot and Craftbukkit are similar, however on 1.8+ the Spigot team is making both Spigot and Craftbukkit. Bukkit is an API that developers use to make plugins I believe. Spigot is a lot more efficient for your server than Craftbukkit, however it has been known to have security issues a few times (I've used it for 2 years and have loved it though).

    Get Essentials for 1.8 here: http://hub.spigotmc.org/jenkins/job/Spigot-Essentials/
    Get Multiverse-Core here: http://ci.onarandombox.com/job/Multiverse-Core/
    Get Multiverse-Portals here: http://ci.onarandombox.com/job/Multiverse-Portals/

    You'll need a hub/lobby world, yes.

    You can use either PermissionsEx for permissions or GroupManager (those are the big two, though there are others). PermissionsEx (often referred to as PEX) has more features, but is also a bit more complicated to learn/use. GroupManager is easier to use, however has less features than PEX. I've used GroupManager for 2 years and haven't needed any of the features that PermissionsEx provides, so it's entirely up to you. Just watch some YouTube videos that compare them :)

    You'll of course want PlotMe for creative, as it seems to be the #1 choice.

    Hope this helps :)
     
  3. Offline

    ZaIgre

    Thank you very much!

    Now i created Spigot server 1.8.7.
    First of all I would like to set loby, ande teleports to other worlds (creative, survival, hungar games etc.)
    So I downloaded and installed:
    1)multiverse - core (it works fine)
    2) multiverse - portals (havent tried jet)
    3) world edit
    4) ultimate hub (for a lobby/hub) (it works, i just wanted to be spawned everytime in the same world, in the same place...maybe i will use other featuers in future :)
    5) essentials (i used the link you paste here, but it doesnt load? It has an error...I saw that essentials 1.8.x doesnt have an official release....but does this version works on 1.8.7?

    Do all the plugins that work with 1.8 work with my server 1.8.7?
    @oceantheskatr
     
  4. Offline

    Boomer

    That essentials link works just fine - its a page of several jar files, you download the jars you need/want from it.
     
  5. Offline

    ZaIgre

    This is my log file:

    [12:58:38] [Server thread/INFO]: Creating config from template: C:\Users\uporabnik\Desktop\Spigot server\plugins\Essentials\config.yml
    [12:58:38] [Server thread/ERROR]: java.lang.NoSuchMethodError: java.nio.CharBuffer.subSequence(II)Ljava/nio/CharBuffer;
    [12:58:38] [Server thread/ERROR]: Error occurred while enabling Essentials vTeamCity (Is it up to date?)
    java.lang.NullPointerException
    at com.earth2me.essentials.Essentials.onDisable(Essentials.java:348) ~[?:?]
    at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:323) ~[spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at com.earth2me.essentials.Essentials.handleCrash(Essentials.java:747) ~[?:?]
    at com.earth2me.essentials.Essentials.onEnable(Essentials.java:275) ~[?:?]
    at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:321) ~[spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:340) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:405) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at org.bukkit.craftbukkit.v1_8_R3.CraftServer.loadPlugin(CraftServer.java:356) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at org.bukkit.craftbukkit.v1_8_R3.CraftServer.enablePlugins(CraftServer.java:316) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.MinecraftServer.s(MinecraftServer.java:418) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.MinecraftServer.k(MinecraftServer.java:382) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.MinecraftServer.a(MinecraftServer.java:337) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.DedicatedServer.init(DedicatedServer.java:256) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.MinecraftServer.run(MinecraftServer.java:528) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at java.lang.Thread.run(Unknown Source) [?:1.6.0_18]
    [12:58:38] [Server thread/INFO]: Server permissions file permissions.yml is empty, ignoring it
     
  6. Offline

    Boomer

    Okay, the problem is that you are running your server on Java version 6, and the essentials was compiled to run on version 7. You need to upgrade the java version that your server launches with.
     
    oceantheskatr likes this.
  7. Offline

    oceantheskatr

    As Boomer kindly stated, you need to update your Java for Essentials to work correctly. To answer your other question, most plugins on 1.8 will work on 1.8.7, however certain plugins will not work (but most likely will get updated to work)
     
  8. Offline

    PickNChew

    Incorrect, perhaps you have been misinformed. The Spigot team actually fixed security issues through multiple versions of Minecraft before Mojang did. The cause was not Spigot but actually the vanilla Minecraft server.
     
  9. Offline

    oceantheskatr

    @PickNChew

    Quoted from: http://bukkit.org/threads/366342/
     
  10. Offline

    ZaIgre

    Thank you all!
    Now i have updated java, to java 8. Essentials forks now!
    But multiverse-core and multiverse-portal doesnt... This is part of my log file:

    [21:33:13] [Server thread/INFO]: Hopper Transfer: 8 Hopper Check: 8 Hopper Amount: 1
    [21:33:13] [Server thread/INFO]: [EssentialsSpawn] Disabling EssentialsSpawn vTeamCity
    [21:33:13] [Server thread/INFO]: [Essentials] Disabling Essentials vTeamCity
    [21:33:13] [Server thread/INFO]: [WorldEdit] Disabling WorldEdit v6.0;3342-78f975b9
    [21:33:13] [Server thread/ERROR]: Could not load 'plugins\Multiverse-Core-2.5-javadoc.jar' in folder 'plugins'
    org.bukkit.plugin.InvalidDescriptionException: Invalid plugin.yml
    at org.bukkit.plugin.java.JavaPluginLoader.getPluginDescription(JavaPluginLoader.java:154) ~[spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:133) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at org.bukkit.craftbukkit.v1_8_R3.CraftServer.loadPlugins(CraftServer.java:291) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at org.bukkit.craftbukkit.v1_8_R3.CraftServer.reload(CraftServer.java:740) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at org.bukkit.Bukkit.reload(Bukkit.java:534) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at org.bukkit.command.defaults.ReloadCommand.execute(ReloadCommand.java:25) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at org.bukkit.command.SimpleCommandMap.dispatch(SimpleCommandMap.java:141) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at org.bukkit.craftbukkit.v1_8_R3.CraftServer.dispatchCommand(CraftServer.java:642) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at org.bukkit.craftbukkit.v1_8_R3.CraftServer.dispatchServerCommand(CraftServer.java:628) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.DedicatedServer.aO(DedicatedServer.java:404) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.DedicatedServer.B(DedicatedServer.java:368) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.MinecraftServer.A(MinecraftServer.java:657) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.MinecraftServer.run(MinecraftServer.java:560) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at java.lang.Thread.run(Unknown Source) [?:1.8.0_45]
    Caused by: java.io.FileNotFoundException: Jar does not contain plugin.yml
    ... 14 more
    [21:33:13] [Server thread/ERROR]: Could not load 'plugins\Multiverse-Portals-2.5-javadoc.jar' in folder 'plugins'
    org.bukkit.plugin.InvalidDescriptionException: Invalid plugin.yml
    at org.bukkit.plugin.java.JavaPluginLoader.getPluginDescription(JavaPluginLoader.java:154) ~[spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:133) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at org.bukkit.craftbukkit.v1_8_R3.CraftServer.loadPlugins(CraftServer.java:291) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at org.bukkit.craftbukkit.v1_8_R3.CraftServer.reload(CraftServer.java:740) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at org.bukkit.Bukkit.reload(Bukkit.java:534) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at org.bukkit.command.defaults.ReloadCommand.execute(ReloadCommand.java:25) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at org.bukkit.command.SimpleCommandMap.dispatch(SimpleCommandMap.java:141) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at org.bukkit.craftbukkit.v1_8_R3.CraftServer.dispatchCommand(CraftServer.java:642) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at org.bukkit.craftbukkit.v1_8_R3.CraftServer.dispatchServerCommand(CraftServer.java:628) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.DedicatedServer.aO(DedicatedServer.java:404) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.DedicatedServer.B(DedicatedServer.java:368) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.MinecraftServer.A(MinecraftServer.java:657) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.MinecraftServer.run(MinecraftServer.java:560) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at java.lang.Thread.run(Unknown Source) [?:1.8.0_45]
    Caused by: java.io.FileNotFoundException: Jar does not contain plugin.yml
    ... 14 more
    [21:33:13] [Server thread/INFO]: [WorldEdit] Loading WorldEdit v6.0;3342-78f975b9
    [21:33:13] [Server thread/INFO]: [Essentials] Loading Essentials vTeamCity
    [21:33:13] [Server thread/INFO]: [EssentialsSpawn] Loading EssentialsSpawn vTeamCity
    [21:33:13] [Server thread/INFO]: [WorldEdit] Enabling WorldEdit v6.0;3342-78f975b9
     
  11. Offline

    bwfcwalshy Retired Staff

    Moved to Bukkit Alternates.

    @ZaIgre You have the JavaDoc not the plugin.
     
    Boomer likes this.
  12. Offline

    oceantheskatr

  13. Offline

    ZaIgre

    Now i have updated java to java 8, this time i put in plugins...i didnt even see i downloaded the wrong one, because i downloaded the top one... But I still have an error and it doesnt work, this is log file:

    [22:53:48] [Server thread/INFO]: WEAPI
    [22:53:48] [Server thread/ERROR]: null
    org.bukkit.command.CommandException: Unhandled exception executing command 'mvp' in plugin Multiverse-Portals v2.5-b714
    at org.bukkit.command.PluginCommand.execute(PluginCommand.java:46) ~[spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at org.bukkit.command.SimpleCommandMap.dispatch(SimpleCommandMap.java:141) ~[spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at org.bukkit.craftbukkit.v1_8_R3.CraftServer.dispatchCommand(CraftServer.java:642) ~[spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.PlayerConnection.handleCommand(PlayerConnection.java:1135) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.PlayerConnection.a(PlayerConnection.java:970) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.PacketPlayInChat.a(PacketPlayInChat.java:45) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.PacketPlayInChat.a(PacketPlayInChat.java:1) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.PlayerConnectionUtils$1.run(SourceFile:13) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at java.util.concurrent.Executors$RunnableAdapter.call(Unknown Source) [?:1.8.0_45]
    at java.util.concurrent.FutureTask.run(Unknown Source) [?:1.8.0_45]
    at net.minecraft.server.v1_8_R3.SystemUtils.a(SystemUtils.java:19) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.MinecraftServer.B(MinecraftServer.java:718) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.DedicatedServer.B(DedicatedServer.java:367) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.MinecraftServer.A(MinecraftServer.java:657) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.MinecraftServer.run(MinecraftServer.java:560) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at java.lang.Thread.run(Unknown Source) [?:1.8.0_45]
    Caused by: java.lang.NoSuchMethodError: com.sk89q.worldedit.LocalSession.getSelectionWorld()Lcom/sk89q/worldedit/LocalWorld;
    at com.onarandombox.MultiversePortals.PortalPlayerSession.getSelectedRegion(PortalPlayerSession.java:168) ~[?:?]
    at com.onarandombox.MultiversePortals.commands.CreateCommand.runCommand(CreateCommand.java:56) ~[?:?]
    at com.pneumaticraft.commandhandler.multiverse.CommandHandler.checkAndRunCommand(CommandHandler.java:279) ~[?:?]
    at com.pneumaticraft.commandhandler.multiverse.CommandHandler.processFoundCommands(CommandHandler.java:143) ~[?:?]
    at com.pneumaticraft.commandhandler.multiverse.CommandHandler.locateAndRunCommand(CommandHandler.java:93) ~[?:?]
    at com.pneumaticraft.commandhandler.multiverse.CommandHandler.locateAndRunCommand(CommandHandler.java:71) ~[?:?]
    at com.onarandombox.MultiversePortals.MultiversePortals.onCommand(MultiversePortals.java:336) ~[?:?]
    at org.bukkit.command.PluginCommand.execute(PluginCommand.java:44) ~[spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    ... 15 more
    [22:53:52] [Async Chat Thread - #0/INFO]: [[0;37;1mworld[0;37;1m]<[0;31;22mStinson[m> internal error[m
    [22:54:13] [Server thread/INFO]: Stinson issued server command: /mvp create blue
    [22:54:13] [Server thread/INFO]: WEAPI
    [22:54:13] [Server thread/ERROR]: null
    org.bukkit.command.CommandException: Unhandled exception executing command 'mvp' in plugin Multiverse-Portals v2.5-b714
    at org.bukkit.command.PluginCommand.execute(PluginCommand.java:46) ~[spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at org.bukkit.command.SimpleCommandMap.dispatch(SimpleCommandMap.java:141) ~[spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at org.bukkit.craftbukkit.v1_8_R3.CraftServer.dispatchCommand(CraftServer.java:642) ~[spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.PlayerConnection.handleCommand(PlayerConnection.java:1135) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.PlayerConnection.a(PlayerConnection.java:970) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.PacketPlayInChat.a(PacketPlayInChat.java:45) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.PacketPlayInChat.a(PacketPlayInChat.java:1) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.PlayerConnectionUtils$1.run(SourceFile:13) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at java.util.concurrent.Executors$RunnableAdapter.call(Unknown Source) [?:1.8.0_45]
    at java.util.concurrent.FutureTask.run(Unknown Source) [?:1.8.0_45]
    at net.minecraft.server.v1_8_R3.SystemUtils.a(SystemUtils.java:19) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.MinecraftServer.B(MinecraftServer.java:718) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.DedicatedServer.B(DedicatedServer.java:367) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.MinecraftServer.A(MinecraftServer.java:657) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.MinecraftServer.run(MinecraftServer.java:560) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at java.lang.Thread.run(Unknown Source) [?:1.8.0_45]
    Caused by: java.lang.NoSuchMethodError: com.sk89q.worldedit.LocalSession.getSelectionWorld()Lcom/sk89q/worldedit/LocalWorld;
    at com.onarandombox.MultiversePortals.PortalPlayerSession.getSelectedRegion(PortalPlayerSession.java:168) ~[?:?]
    at com.onarandombox.MultiversePortals.commands.CreateCommand.runCommand(CreateCommand.java:56) ~[?:?]
    at com.pneumaticraft.commandhandler.multiverse.CommandHandler.checkAndRunCommand(CommandHandler.java:279) ~[?:?]
    at com.pneumaticraft.commandhandler.multiverse.CommandHandler.processFoundCommands(CommandHandler.java:143) ~[?:?]
    at com.pneumaticraft.commandhandler.multiverse.CommandHandler.locateAndRunCommand(CommandHandler.java:93) ~[?:?]
    at com.pneumaticraft.commandhandler.multiverse.CommandHandler.locateAndRunCommand(CommandHandler.java:71) ~[?:?]
    at com.onarandombox.MultiversePortals.MultiversePortals.onCommand(MultiversePortals.java:336) ~[?:?]
    at org.bukkit.command.PluginCommand.execute(PluginCommand.java:44) ~[spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    ... 15 more
    [22:54:17] [Server thread/INFO]: Stinson issued server command: /mvtp
    [22:54:27] [Server thread/INFO]: Stinson issued server command: /mvp
    [22:54:36] [Server thread/INFO]: Stinson issued server command: /mvp create blue normal
    [22:54:36] [Server thread/INFO]: WEAPI
    [22:54:36] [Server thread/ERROR]: null
    org.bukkit.command.CommandException: Unhandled exception executing command 'mvp' in plugin Multiverse-Portals v2.5-b714
    at org.bukkit.command.PluginCommand.execute(PluginCommand.java:46) ~[spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at org.bukkit.command.SimpleCommandMap.dispatch(SimpleCommandMap.java:141) ~[spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at org.bukkit.craftbukkit.v1_8_R3.CraftServer.dispatchCommand(CraftServer.java:642) ~[spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.PlayerConnection.handleCommand(PlayerConnection.java:1135) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.PlayerConnection.a(PlayerConnection.java:970) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.PacketPlayInChat.a(PacketPlayInChat.java:45) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.PacketPlayInChat.a(PacketPlayInChat.java:1) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.PlayerConnectionUtils$1.run(SourceFile:13) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at java.util.concurrent.Executors$RunnableAdapter.call(Unknown Source) [?:1.8.0_45]
    at java.util.concurrent.FutureTask.run(Unknown Source) [?:1.8.0_45]
    at net.minecraft.server.v1_8_R3.SystemUtils.a(SystemUtils.java:19) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.MinecraftServer.B(MinecraftServer.java:718) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.DedicatedServer.B(DedicatedServer.java:367) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.MinecraftServer.A(MinecraftServer.java:657) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.MinecraftServer.run(MinecraftServer.java:560) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at java.lang.Thread.run(Unknown Source) [?:1.8.0_45]
    Caused by: java.lang.NoSuchMethodError: com.sk89q.worldedit.LocalSession.getSelectionWorld()Lcom/sk89q/worldedit/LocalWorld;
    at com.onarandombox.MultiversePortals.PortalPlayerSession.getSelectedRegion(PortalPlayerSession.java:168) ~[?:?]
    at com.onarandombox.MultiversePortals.commands.CreateCommand.runCommand(CreateCommand.java:56) ~[?:?]
    at com.pneumaticraft.commandhandler.multiverse.CommandHandler.checkAndRunCommand(CommandHandler.java:279) ~[?:?]
    at com.pneumaticraft.commandhandler.multiverse.CommandHandler.processFoundCommands(CommandHandler.java:143) ~[?:?]
    at com.pneumaticraft.commandhandler.multiverse.CommandHandler.locateAndRunCommand(CommandHandler.java:93) ~[?:?]
    at com.pneumaticraft.commandhandler.multiverse.CommandHandler.locateAndRunCommand(CommandHandler.java:71) ~[?:?]
    at com.onarandombox.MultiversePortals.MultiversePortals.onCommand(MultiversePortals.java:336) ~[?:?]
    at org.bukkit.command.PluginCommand.execute(PluginCommand.java:44) ~[spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    ... 15 more
    [22:54:46] [Server thread/INFO]: Stinson issued server command: /mvp create normal blue
    [22:54:46] [Server thread/INFO]: WEAPI
    [22:54:46] [Server thread/ERROR]: null
    org.bukkit.command.CommandException: Unhandled exception executing command 'mvp' in plugin Multiverse-Portals v2.5-b714
    at org.bukkit.command.PluginCommand.execute(PluginCommand.java:46) ~[spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at org.bukkit.command.SimpleCommandMap.dispatch(SimpleCommandMap.java:141) ~[spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at org.bukkit.craftbukkit.v1_8_R3.CraftServer.dispatchCommand(CraftServer.java:642) ~[spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.PlayerConnection.handleCommand(PlayerConnection.java:1135) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.PlayerConnection.a(PlayerConnection.java:970) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.PacketPlayInChat.a(PacketPlayInChat.java:45) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.PacketPlayInChat.a(PacketPlayInChat.java:1) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.PlayerConnectionUtils$1.run(SourceFile:13) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at java.util.concurrent.Executors$RunnableAdapter.call(Unknown Source) [?:1.8.0_45]
    at java.util.concurrent.FutureTask.run(Unknown Source) [?:1.8.0_45]
    at net.minecraft.server.v1_8_R3.SystemUtils.a(SystemUtils.java:19) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.MinecraftServer.B(MinecraftServer.java:718) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.DedicatedServer.B(DedicatedServer.java:367) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.MinecraftServer.A(MinecraftServer.java:657) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at net.minecraft.server.v1_8_R3.MinecraftServer.run(MinecraftServer.java:560) [spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    at java.lang.Thread.run(Unknown Source) [?:1.8.0_45]
    Caused by: java.lang.NoSuchMethodError: com.sk89q.worldedit.LocalSession.getSelectionWorld()Lcom/sk89q/worldedit/LocalWorld;
    at com.onarandombox.MultiversePortals.PortalPlayerSession.getSelectedRegion(PortalPlayerSession.java:168) ~[?:?]
    at com.onarandombox.MultiversePortals.commands.CreateCommand.runCommand(CreateCommand.java:56) ~[?:?]
    at com.pneumaticraft.commandhandler.multiverse.CommandHandler.checkAndRunCommand(CommandHandler.java:279) ~[?:?]
    at com.pneumaticraft.commandhandler.multiverse.CommandHandler.processFoundCommands(CommandHandler.java:143) ~[?:?]
    at com.pneumaticraft.commandhandler.multiverse.CommandHandler.locateAndRunCommand(CommandHandler.java:93) ~[?:?]
    at com.pneumaticraft.commandhandler.multiverse.CommandHandler.locateAndRunCommand(CommandHandler.java:71) ~[?:?]
    at com.onarandombox.MultiversePortals.MultiversePortals.onCommand(MultiversePortals.java:336) ~[?:?]
    at org.bukkit.command.PluginCommand.execute(PluginCommand.java:44) ~[spigot-1.8.7.jar:git-Spigot-f928e7a-994b2aa]
    ... 15 more
     
  14. Offline

    Boomer

  15. Offline

    raymart23

    Recommending you to find out how it done by yourself and back here about some bugs so your imagination will work not here you can't find out where to check or where to watch :p too many replies demn so :p
     
  16. Offline

    ZaIgre

    OK! Thank you very much, now it works! I just had to put in older version :)

    Now i have multiple worlds, but i would like to have separate inventories in each world. First of all do i need to make some kind of groups for worlds? Because in previous server whenever I made a new world or something it said: "moved to all-unnamed worlds group". So I need a plugin for multiple inventories. I had a multiverse-inventories, but when i put them in new server it crashes?
    This is link where i downloaded them: http://dev.bukkit.org/bukkit-plugins/multiverse-inventories/
     
  17. Offline

    oceantheskatr

  18. Offline

    ZaIgre

    Thank you very much! It works... :)

    Now i need a plugin for spawn...I actually ghave a UltimateHub, but it has some errors...all i ned from spawn plugin is that it will spawn mi in the same world everytime...

    I also installed Plotme plugin. I made new world and it looks fine. Now i need plugins for shop/economy (which is the best?) and I would like to make that it is availabble to buy a plot or just to rent it...how do i do that?
    Thank you very much, KTeam2
     
  19. Offline

    oceantheskatr

    If you have Essentials, you can get EssentialsSpawn and use /setspawn to set a pointpoint. You can get a plugin called SpawnTP to teleport the player to spawn whenever they join. Essentials handles economy, and I suggest using ChestShop for the shop. You'd use the admin shop from it, which makes it so that you don't need a chest for it to work. I suggest this over Essentials Buy/Sell signs because you're able to set buy and sell costs on one sign.

    Can't rent plots, I'm sure you can set the price to buy a PlotMe plot in the config.
     
  20. Offline

    ZaIgre

    Thank you!
    I downloaded EssentialsSpawn, and when I /setspawn...it sais that spawn is set for group default. What kind of group does this mean? Is this Essentials-Group Manager? I will download it too, is zPermissinos better? download link (is this one OK?)

    And for the ChestShop, download link (will this one work?)

    I found I plugin called AreaShop, it enables to make areas for sale or rent...hope it will work download link.
     
  21. Offline

    oceantheskatr

    You can use whichever permissions plugin you want as long as it uses Vault (I believe zPermissions does). If you had a group called VIP and you did /setspawn VIP somewhere, then when a player in the group VIP does /spawn, I think they'll go to VIP's spawn as opposed to the default spawnpoint.

    That is the correct ChestShop plugin.

    I don't know about AreaShop, only way to find out is if you try it ;) It's updated to 1.8, so you should have luck.

    As far as a permissions plugin goes, I recommend either GroupManager or PermissionsEx, as they are by far the most popular and due to this, much easier to get help. GroupManager is a bit easier to use, however PermissionsEx offers more features. I just suggest picking one and sticking to it :) YouTube is your friend too, there are a lot of tutorials on how to use both of those plugins.
     
Thread Status:
Not open for further replies.

Share This Page